# 数据结构

常用的数据结构如下，可以通过[acl meta接口](acl_meta接口.md)创建。

-   定义AscendCL张量数据结构，用来管理和存储类似向量、矩阵等数据。

    ```
    typedef struct aclTensor aclTensor
    ```

-   定义AscendCL标量数据结构，用来管理和存储标量数据（比如一个单独的数）。

    ```
    typedef struct aclScalar aclScalar
    ```

-   定义AscendCL整型数组数据结构，用来管理和存储由int类型数据构成的数组。

    ```
    typedef struct aclIntArray aclIntArray
    ```

-   定义AscendCL浮点型数组数据结构，用来管理和存储由float类型数据构成的数组。

    ```
    typedef struct aclFloatArray aclFloatArray
    ```

-   定义AscendCL布尔型数组数据结构，用来管理和存储由bool类型数据构成的数组。

    ```
    typedef struct aclBoolArray aclBoolArray
    ```

-   定义AscendCL张量列表数据结构，用来管理和存储由tensor类型数据构成的列表。

    ```
    typedef struct aclTensorList aclTensorList
    ```

-   定义AscendCL执行器数据结构，用来执行算子计算的容器。

    ```
    typedef struct aclOpExecutor aclOpExecutor
    ```

-   定义AscendCL流处理数据结构，用来管理和维护一些异步操作的执行顺序。

    ```
    typedef void *aclrtStream
    ```